Subject: linux-next: manual merge of the drm-misc tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 13 Sep 2023 11:09:39 +1000

Hi all,

Today's linux-next merge of the drm-misc tree got a conflict in:

  drivers/gpu/drm/mediatek/mtk_dpi.c

between commits:

  47d4bb6bbcdb ("drm/mediatek: mtk_dpi: Simplify with devm_drm_bridge_add()")
  90c95c3892dd ("drm/mediatek: mtk_dpi: Switch to .remove_new() void callback")

from Linus' tree and commit:

  c04ca6bbb7ea ("drm/mediatek: Convert to platform remove callback returning void")

from the drm-misc tree.

I fixed it up (the latter is the same as 90c95c3892dd) and can carry the
fix as necessary. This is now fixed as far as linux-next is concerned,
but any non trivial conflicts should be mentioned to your upstream
maintainer when your tree is submitted for merging.  You may also want
to consider cooperating with the maintainer of the conflicting tree to
minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell